Conversations sur les listes
Dans cet extrait de code, vous apprendrez à dresser la liste de toutes les conversations.
Exemple
Conditions préalables
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Rédiger le code
Ajouter ce qui suit à list-conversations.sh:
# Gets a list of conversations from an application ID (app ID is in the JWT).
curl "https://api.nexmo.com/v1/conversations" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json'Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCréez un fichier nommé list-conversations.js et ajoutez le code suivant :
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Rédiger le code
Ajouter ce qui suit à list-conversations.js:
const run = async () => {
try {
for await (const conversation of vonage.conversations.listAllConversations()) {
console.log(conversation);
}
} catch (error) {
console.error(error);
}
};
run();Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Ajouter ce qui suit à build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Créez un fichier nommé ListConversations et ajoutez le code suivant à la méthode main:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Rédiger le code
Ajouter ce qui suit à la méthode main du fichier ListConversations:
var conversations = client.getConversationsClient().listConversations();
conversations.forEach(System.out::println);Exécutez votre code
Nous pouvons utiliser le plugin Applications pour Gradle afin de simplifier l'exécution de notre application. Mettez à jour votre build.gradle avec ce qui suit :
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Exécutez la commande gradle suivante pour exécuter votre application, en remplaçant com.vonage.quickstart.conversation par le paquet contenant ListConversations:
Conditions préalables
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCréez un fichier nommé GetConversations.cs et ajoutez le code suivant :
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations.GetConversations;
using Vonage.Request;Ajouter ce qui suit à GetConversations.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Rédiger le code
Ajouter ce qui suit à GetConversations.cs:
var response = await client.ConversationsClient.GetConversationsAsync(GetConversationsRequest.Build().Create());Conditions préalables
You will need to use an existing Application that contains Conversations in order to receive some results here. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCréez un fichier nommé list-conversations.php et ajoutez le code suivant :
use Vonage\Conversation\ConversationObjects\CreateConversationRequest;
require_once __DIR__ . '../../config.php';
require_once __DIR__ . '../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(
file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH),
VONAGE_APPLICATION_ID
);
$client = new \Vonage\Client($keypair);Rédiger le code
Ajouter ce qui suit à list-conversations.php:
$conversations = $client->conversation()->listConversations();Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Essayez-le
Lorsque vous exécutez le code, vous obtenez une liste de toutes les conversations.